package com.ss.android.ugc.aweme.legoImp.task;

import X.8Zd;
import X.8Ze;
import X.8ec;
import X.8vV;
import X.9Ft;
import X.9Fx;
import X.AnonymousClass2HX;
import X.AnonymousClass4SI;
import android.content.Context;
import android.text.TextUtils;
import com.bytedance.covode.number.Covode;
import com.ss.android.deviceregister.DeviceRegisterManager;
import com.ss.android.ugc.aweme.account.login.trusted.TrustedEnvApi;
import com.ss.android.ugc.aweme.feed.CommonFeedLaunchServiceImpl;
import java.util.List;

public class ObserveDeviceRegister implements 8Ze {
    public static 8vV LIZ = new 8vV() {
        static {
            Covode.recordClassIndex(90542);
        }

        public final void LIZ(boolean z, boolean z2) {
        }

        public final void LIZ(boolean z) {
            CommonFeedLaunchServiceImpl.LIZIZ().LIZ(!z);
        }

        public final void LIZ(String str, String str2) {
            if (!TextUtils.isEmpty(str)) {
                AnonymousClass2HX.LIZ.LIZIZ("app_start_to_get_did", false);
                AnonymousClass2HX.LIZ.LIZIZ("cold_boot_first_request_to_get_did", false);
                TrustedEnvApi.LIZIZ.LIZ(AnonymousClass4SI.LIZ);
            }
        }
    };

    public boolean meetTrigger() {
        return true;
    }

    public String prefix() {
        return "task_";
    }

    public boolean serialExecute() {
        return false;
    }

    public int targetProcess() {
        return 1;
    }

    public List triggerOtherLegoComponents() {
        return null;
    }

    public 9Ft triggerType() {
        return 8Zd.LIZ(this);
    }

    public 9Fx scenesType() {
        return 9Fx.DEFAULT;
    }

    public 8ec type() {
        return 8ec.MAIN;
    }

    static {
        Covode.recordClassIndex(90541);
    }

    public String key() {
        return getClass().getSimpleName();
    }

    public void run(Context context) {
        DeviceRegisterManager.addOnDeviceConfigUpdateListener(LIZ);
    }
}
